EldoS | Feel safer!

Software components for data protection, secure storage and transfer

TElSimpleFTPSServer TLS1.1 or TLS1.2

Also by EldoS: CallbackDisk
Create virtual disks backed by memory or custom location, expose disk images as disks and more.
#37227
Posted: 07/11/2016 05:53:24
by Gerhard Wessels (Standard support level)
Joined: 07/29/2014
Posts: 2

We host an FTP server in our application and we received a report that clients cannot connect when using TLS1.1 or TLS1.2. We are using the TElSimpleFTPSServer component.

I am not able to find any information in the help files or web that tells me how to enable/disable TLS1.1 and TLS1.2 support on the TElSimpleFTPSServer component. It could be that it doesn't support this but I can't find that either.

I'd appreciate any guidance on this.
#37228
Posted: 07/11/2016 06:02:03
by Vsevolod Ievgiienko (EldoS Corp.)

Thank you for contacting us.

TElSimpleFTPSServer has Versions property that you can use to enable or disable supported SSL/TLS versions. Both TLS1.1 and 1.2 are enabled by default, so we need more information about the error that occurs on client side to help. Does the client use our client implementation or some third-party software? Any error messages or logs may help.
#37231
Posted: 07/11/2016 07:39:32
by Gerhard Wessels (Standard support level)
Joined: 07/29/2014
Posts: 2

Hi,

Thank you for the feedback.

My version (10.0.231.0) of TElSimpleFTPSServer does not have a Versions property.

The client is a multi functional copier that is trying to upload a scanned document to our server - which works when the client is configured to use SSL 3.0.

Is there a way to enable internal/trace logging of the TElSimpleFTPSServer component?
#37232
Posted: 07/11/2016 08:09:48
by Eugene Mayevski (EldoS Corp.)

Quote
ScanV wrote:
Is there a way to enable internal/trace logging of the TElSimpleFTPSServer component?


Even if there were some, they wouldn't help you.

The reason of the problems is that during '2014-2015 there were breaking changes introduced in TLS 1.2 standard (and some of those changes also affected TLS 1.1). Many implementations have been upgraded already. SecureBlackbox gradually included those changes in versions 12 and 13. The only option in your case is to upgrade to SecureBlackbox 15.


Sincerely yours
Eugene Mayevski

Reply

Statistics

Topic viewed 488 times

Number of guests: 1, registered members: 0, in total hidden: 0




|

Back to top

As of July 15, 2016 EldoS Corporation will operate as a division of /n software inc. For more information, please read the announcement.

Got it!